/*
    PPManagedColor.h

    Copyright 2013-2016 Josh Freeman
    http://www.twilightedge.com

    This file is part of PikoPixel for Mac OS X and GNUstep.
    PikoPixel is a graphical application for drawing & editing pixel-art images.

    PikoPixel is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License version 3,
    as published by the Free Software Foundation.

    PikoPixel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#import <Cocoa/Cocoa.h>


@interface NSColor (PPManagedColor)

+ (NSColor *) ppManagedColor_sRGBColorWithRed: (CGFloat) red
                                        green: (CGFloat) green
                                        blue: (CGFloat) blue
                                        alpha: (CGFloat) alpha;

+ (NSColor *) ppManagedColor_sRGBColorWithWhite: (CGFloat) white
                                        alpha: (CGFloat) alpha;

- (NSColor *) ppManagedColor_sRGBColor;

@end

@interface NSBitmapImageRep (PPManagedColor)

- (NSColorSpace *) ppManagedColor_CalibratedColorSpace;

- (void) ppManagedColor_SetCalibratedColorSpace_sRGB;

- (void) ppManagedColor_SetCalibratedColorSpaceFromBitmap: (NSBitmapImageRep *) bitmap;

@end
